#shop-page{
    justify-content: center;
}
#shop-scene-container{
    display: flex;
    flex-direction: column;
    max-width: 1200px;
    width: 100%;
}
#shop{
    display: flex;
    flex-direction: column;
}
#player-shop{
    display: flex;
    justify-content: center;
}
#shop-сhoose-panel{
    padding-left: 10px;
    border-left: 10px solid #234475a1;
    background-color: #ffffff2e;
    overflow-y: auto;
    height: 400px;
}
#shop-сhoose-panel p{
    font-family: system-ui;
    font-size: 18px;
    color: #373793;
    font-weight: 500;
    margin-bottom: 5px;
}
#shop-сhoose-panel div{
    /* border: 1px solid; */
}
#shop-сhoose-panel div button{
    width: 50px;
    background: none;
    border: 1px solid #3d3d3d2e;
    border-radius: 56px;
}
#shop-сhoose-panel div button:hover{
    background-color: #f0f8ff2e;
}
#shop-сhoose-panel div button:focus{
    transform: scale(1.1);
}
#shop-сhoose-panel div button img{
    width: 100%;
}
#header-shop{
    display: flex;
    justify-content: space-between;
    padding-left: 3px;
    padding-right: 5px;
    background-color: #f0f8ff30;
    border-radius: 5px;
    min-height: 40px;
    padding-left: 10px;
    padding-right: 10px;
}
#header-shop-left{
    display: flex;
    align-items: center;
}
#header-shop-right{
    display: flex;
    align-items: center;
}
#to-menu-button-shop{
    padding: 5px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
}
#to-menu-button-shop:hover{
    background: none;
}
#my-nickname-shop{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: sans-serif;
    text-shadow: 1px 1px #8080809c;
}
#my-money-shop{
    margin-left: 10px;
    font-size: 19px;
    color: #373793;
    font-family: system-ui;
    font-weight: 600;
    text-shadow: 1px 1px #8080809c;
}
#buy-button-block{
    display: flex;
    justify-content: center;
}
#buy-button-block button{
    margin-top: -29px;
    font-size: 16px;
    padding: 4px 9px;
    border-radius: 5px;
    border: 1px solid rgba(128, 128, 128, 0.427);
    font-family: sans-serif;
    cursor: pointer;
    display: none;
}
#buy-button-block button:hover{
    transform: scale(1.05);
}

#shop-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(125 125 125 / 50%);
    z-index: 89; /* Устанавливаем высокий z-index, чтобы блок был поверх других элементов */
    display: flex;
    justify-content: center; /* Центрирование по горизонтали */
    align-items: center; /* Центрирование по вертикали */
    display: none;
}

#buy-block-overlay{
    width: 300px;
    min-height: 100px;
    background-color: white;
    border-radius: 10px;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    flex-direction: column;
    padding-bottom: 20px;
    box-shadow: 0 7px 3px rgb(0 0 0 / 20%);
    padding-top: 5px;
}
#buy-block-overlay .content {
    padding: 3px;
    font-family: system-ui;
}
#buy-block-overlay .buttons {
    display: flex;
    justify-content: space-evenly;
    margin-top: 7px;
}
#buyOverlayButton{
    padding: 4px 7px;
    background-color: #fff9ad7a;
    border: 1px solid #6d500057;
    border-radius: 7px;
    color: #181818;
    font-family: system-ui;
    /* text-shadow: 1px 1px #8080809c; */
    font-weight: 600;
}
#buy-block-overlay .buttons .close-button{
    padding: 4px 7px;
    background-color: #ffffff7a;
    border: 1px solid #6d500057;
    border-radius: 7px;
    color: #181818;
    font-family: system-ui;
    /* text-shadow: 1px 1px #8080809c; */
    font-weight: 600;
}

#buyOverlayButton:hover{
    transform: scale(1.1);
}
#buy-block-overlay .buttons .close-button:hover{
    transform: scale(1.1);
}
#shop-сhoose-panel .sex-choose-buttons-block button{
    color: #373793;
    padding: 5px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
    background-color: white;
}
#header-shop-right img{
    width: 21px;
    height: 21px;
    margin-top: 3px;
}